OGRE: Ogre::DefaultShadowCameraSetup Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DefaultShadowCameraSetup Class Reference
Core » Scene

Implements default shadow camera setup. More...

`#include <OgreShadowCameraSetup.h>`

Inheritance diagram for Ogre::DefaultShadowCameraSetup:
[legend]

## Public Member Functions
| DefaultShadowCameraSetup ()
virtual | ~DefaultShadowCameraSetup ()
void | getShadowCamera (const SceneManager *sm, const Camera *cam, const Viewport *vp, const Light *light, Camera *texCam, size_t iteration) const override
| Default shadow camera setup.
Public Member Functions inherited from Ogre::ShadowCameraSetup
virtual | ~ShadowCameraSetup ()
| Need virtual destructor in case subclasses use it.

## Static Public Member Functions
static ShadowCameraSetupPtr | create ()

## Detailed Description

Implements default shadow camera setup.

This implements the default shadow camera setup algorithm. This is what might be referred to as "normal" shadow mapping.

## Constructor & Destructor Documentation

## ◆ DefaultShadowCameraSetup()

Ogre::DefaultShadowCameraSetup::DefaultShadowCameraSetup | ( |  | ) |

## ◆ ~DefaultShadowCameraSetup()

virtual Ogre::DefaultShadowCameraSetup::~DefaultShadowCameraSetup | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

ShadowCameraSetupPtr Ogre::DefaultShadowCameraSetup::create | ( |  | ) |
| inlinestatic

## ◆ getShadowCamera()

void Ogre::DefaultShadowCameraSetup::getShadowCamera | ( | const SceneManager * | sm,
|  | const Camera * | cam,
|  | const Viewport * | vp,
|  | const Light * | light,
|  | Camera * | texCam,
|  | size_t | iteration ) const
| overridevirtual

Default shadow camera setup.

Implements Ogre::ShadowCameraSetup.

Reimplemented in Ogre::FocusedShadowCameraSetup, Ogre::LiSPSMShadowCameraSetup, and Ogre::PSSMShadowCameraSetup.

The documentation for this class was generated from the following file:

- OgreShadowCameraSetup.h